<?php

  $position   = '../../';

  require_once($position.'../switch/access.php');
  require_once($position.'assets/global.php');
  require_once($position.'assets/session.php');
  require_once($position.'assets/funciones.php');

  require_once($Position.'PhpExcel/Classes/PHPExcel.php');

	$Go = $_GET['Go'];
	if( $Go == 'ok' ){

		$archivo = "articulos.xlsx";
		$inputFileType = PHPExcel_IOFactory::identify($archivo);
		$objReader = PHPExcel_IOFactory::createReader($inputFileType);
		$objPHPExcel = $objReader->load($archivo);
		$sheet = $objPHPExcel->getSheet(0);
		$highestRow = $sheet->getHighestRow();
		$highestColumn = $sheet->getHighestColumn();

		for ($row = 2; $row <= $highestRow; $row++){

			$Proveedor 		= $sheet->getCell("A".$row)->getValue();
			$Codigo 			= $sheet->getCell("B".$row)->getValue();
			$Descripcion 	= $sheet->getCell("C".$row)->getValue();
			$EAN 					= $sheet->getCell("D".$row)->getValue();
			$Categoria 		= $sheet->getCell("E".$row)->getValue();



			if( $Descripcion && $Proveedor && $Categoria ){

        echo $Proveedor;
        echo "<br>";
        echo $Codigo;
        echo "<br>";
        echo $Descripcion;
        echo "<br>";
        echo $EAN;
        echo "<br>";
        echo $Categoria;
        echo "<br>";

        //Proveedor
        $Query = "
    			SELECT
    				pro.id
    			FROM proveedores pro
    			WHERE pro.nombre = '$Proveedor'
    		";
        $rQuery  = mysqli_query($mysqli, $Query);
        $Pro   = mysqli_fetch_assoc($rQuery);
        if( $Pro[id] ){
          $Prove = $Pro[id];
        }else {
          $Prove = '0';
        }

        //Marca
        $Query = "
    			SELECT
    				mar.id,
    				mar.nombre
    			FROM marcas mar
    			WHERE mar.nombre = '$Categoria'
    		";
        $rQuery  = mysqli_query($mysqli, $Query);
        $Mar   = mysqli_fetch_assoc($rQuery);
        if( $Mar[id] ){
          $Marc = $Mar[id];
        }else {
          $Marc = '0';
        }

				//Insertar Participantes
				echo $Query = "
          INSERT INTO articulos
          (
            fk_proveedor, fk_marca,
            codigo,
            nombre, descripcion,
            fk_articulo_categoria
           )
        	VALUES
          (
            '$Prove', '$Marc',
            '$Codigo',
            '$Descripcion', '$Descripcion',
            '0'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);
				echo "<hr>";

			}

		}

  }

?>
